<?php

namespace Bydedi\Mail;

use Bydedi\Container\ServiceProvider;
use Symfony\Component\DependencyInjection\Reference;

class MailServiceProvider extends ServiceProvider
{

    /**
     * Register the service provider.
     *
     * @return void
     */
    public function register()
    {
        $this->serviceContainer->register('swift.transport', 'Swift_MailTransport');
        
        $this->serviceContainer->register('swift.logger', 'Swift_Plugins_Loggers_ArrayLogger');

        $this->serviceContainer->register('swift.mailer', 'Swift_Mailer')
            ->addArgument(new Reference('swift.transport'));

        $this->serviceContainer->register('mailer', 'Bydedi\Mail\Mailer')
            ->addArgument(new Reference('swift.mailer'))
            ->addArgument(new Reference('event.dispatcher'))
            ->addArgument(new Reference('swift.logger'));
    }
}

