<?php

namespace Bydedi\Utils\Pdf;

use Knp\Snappy\Pdf as PdfBase;

class Pdf extends PdfBase
{

    protected $html;
    protected $url;

    public function setHtml($html)
    {
        $this->html = $html;
        $this->url = null;

        return $this;
    }

    public function setUrl($url)
    {
        $this->url = $url;
        $this->html = null;

        return $this;
    }

    public function save($path)
    {
        if (is_null($this->html) == false) {
            $this->generateFromHtml($this->html, $path);
        } else {
            $this->generate($this->url, $path);
        }

    }

    public function output()
    {
        if (is_null($this->html) == false) {
            return $this->getOutputFromHtml($this->html);
        } else {
            return $this->getOutput($this->url);
        }
    }
}
